    # File lib/fog/ecloud/requests/compute/virtual_machine_copy_identical.rb, line 6
            def validate_create_server_options_identical(template_uri, options)
              required_opts = [:name, :row, :group, :source]
              unless required_opts.all? { |opt| options.has_key?(opt) }
                raise ArgumentError.new("Required data missing: #{(required_opts - options.keys).map(&:inspect).join(", ")}")
              end

              options
            end